From 852d05f717279ee6a74602a6c0efec4c08ab2733 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Dec 01 2020 22:49:47 +0000
Subject: [PATCH 1639/2232] Test more derives


---

diff --git a/tests/ffi/lib.rs b/tests/ffi/lib.rs
index 5427b89..fc69581 100644
--- a/tests/ffi/lib.rs
+++ b/tests/ffi/lib.rs
@@ -25,7 +25,7 @@ pub mod ffi {
         msg: String,
     }
 
-    #[derive(Debug, Hash)]
+    #[derive(Debug, Hash, PartialOrd, Ord)]
     enum Enum {
         AVal,
         BVal = 2020,
@@ -33,7 +33,7 @@ pub mod ffi {
     }
 
     #[namespace = "A"]
-    #[derive(Clone)]
+    #[derive(Copy, Clone, Default)]
     struct AShared {
         z: usize,
     }

